Bug 200673 - incorrect navigation between overloaded methods
incorrect navigation between overloaded methods
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0.1
All All
: P3 (vote)
: 7.0.1
Assigned To: nnnnnk
issues@cnd
701patch1-verified, oss_ide_customer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-04 14:09 UTC by mgerdin
Modified: 2011-08-29 09:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mgerdin 2011-08-04 14:09:01 UTC
follow_header is incorrectly jumps between void-based declaration and definition

class ParCompactionManager {
public:
    ParCompactionManager();
    ParCompactionManager(const ParCompactionManager& orig);
    virtual ~ParCompactionManager();
private:

};

class Class {
public:
    Class();
    Class(const Class& orig);
    virtual ~Class();
private:

public:
  void follow_header(void);
  void follow_header(ParCompactionManager* cm);
};

void Class::follow_header(void) {
    
}

void Class::follow_header(ParCompactionManager* cm) {
    
}
Comment 1 Vladimir Voskresensky 2011-08-04 15:58:47 UTC
issue with hotspot support
Comment 2 Alexander Simon 2011-08-22 17:22:19 UTC
fixed, change set:
http://hg.netbeans.org/releases?cmd=changeset;node=e2dce1eaef4b

Fix transplanted to elif:
e2dce1eaef4b transplanted to 5984ce110787
Comment 3 soldatov 2011-08-23 11:15:57 UTC
IDE works nicely in this scenario
NetBeans IDE 7.0.1 (Build oss-platform-build-30-on-20110823)
Comment 4 Alexander Simon 2011-08-24 11:39:56 UTC
integrated in release701_fixes:
5984ce110787 transplanted to e02b4b8a8df8
Comment 5 soldatov 2011-08-29 09:08:37 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo